(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     56280,       1685]
NotebookOptionsPosition[     43668,       1450]
NotebookOutlinePosition[     44084,       1467]
CellTagsIndexPosition[     44041,       1464]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellLabel->
  "In[109]:=",ExpressionUUID->"3ed91c0b-24c8-4e39-94af-d42a137864b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "GRQUICK.m"}]], "Input",
 CellLabel->
  "In[110]:=",ExpressionUUID->"cbc243df-c01c-48c1-b049-926a057fadb2"],

Cell[BoxData[
 SuperscriptBox["\<\"The convention for this program follow Sean M. Carroll's \
(Spacetime and Geometry) and the indices run from 0 \\nto D-1.\\n\\nWhile \
working do not use the variables GARRAY,RARRAY,RsARRAY, CHARRAY, \
SPEEDOFLIGHT.  \\n\\nType ?helpGRQUICK for a list of functions or ?Function \
for a function description.\\n\\nMore functions and improvements coming \
soon!!\"\>", "\[Prime]",
  MultilineFunction->None]], "Print",
 CellChangeTimes->{
  3.856946931797737*^9, 3.857014820910397*^9, 3.857015267511635*^9, 
   3.857015804663225*^9, {3.857017119354589*^9, 3.8570171307795258`*^9}, 
   3.8570172100400257`*^9, 3.8570182760282297`*^9, 3.8570306109125032`*^9, 
   3.874076970439727*^9, 3.8860779965926456`*^9},
 CellLabel->
  "During evaluation of \
In[110]:=",ExpressionUUID->"7550b2a0-babc-48ce-aba5-6cb0734e5dc8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Metin", "[", "\"\<FRW\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.8569472773324223`*^9, 3.8569473002791843`*^9}, {
  3.857014832631569*^9, 3.857014833099015*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"0a98bd11-d2c7-4b86-b680-e8600b6db0b2"],

Cell[BoxData["\<\"Metric Success\"\>"], "Print",
 CellChangeTimes->{3.8569473015517187`*^9, 3.857014834476034*^9, 
  3.8570152725266933`*^9, 3.857015805843687*^9, 3.857017133576213*^9, 
  3.8570172129603453`*^9, 3.857018278026902*^9, 3.85702620002658*^9, 
  3.8740769741770973`*^9, 3.886077999415594*^9},
 CellLabel->
  "During evaluation of \
In[111]:=",ExpressionUUID->"e41a4b47-a1eb-4cc5-aef7-b5bbe44fe653"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "GMET", "]"}]], "Input",
 CellLabel->
  "In[112]:=",ExpressionUUID->"250b85d7-d5d9-4878-93d5-41f81316fd77"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], 
       RowBox[{"1", "-", 
        RowBox[{"k", " ", 
         SuperscriptBox["r", "2"]}]}]], "0", "0"},
     {"0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]}], "0"},
     {"0", "0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8569473359196787`*^9, 3.856947358520884*^9}, 
   3.857014839568392*^9, 3.8570152848796473`*^9, 3.8570158068134747`*^9, 
   3.8570171344682283`*^9, 3.857017213774206*^9, 3.8570182787485723`*^9, 
   3.857026200930471*^9, 3.8740769753265657`*^9, 3.886078000205185*^9},
 CellLabel->
  "Out[112]//MatrixForm=",ExpressionUUID->"7ed4c292-9516-44c9-8af5-\
9c51ca28097c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570306255494003`*^9, 3.8570306258302107`*^9}},
 CellLabel->
  "In[113]:=",ExpressionUUID->"920f5590-2f5e-4cf8-91e0-0d3ca76d86a4"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857030626415766*^9, 3.8740769766411247`*^9, 
  3.8860780012197323`*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"73d90f89-fbf1-4f0a-bb60-0ba95ae888c7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857015628881757*^9, 3.857015630014997*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"21ab39b3-2268-4de9-bc83-56452c97ba11"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"a", "[", "t", "]"}], " ", 
   RowBox[{
    SuperscriptBox["a", "\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.85694737582297*^9, 3.85701563063838*^9, 
  3.8570158090933313`*^9, 3.874076977463284*^9, 3.88607800194729*^9},
 CellLabel->
  "Out[114]=",ExpressionUUID->"f04315a3-7008-4cd2-9857-2e819c0f1bac"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857015640379047*^9, 3.8570156407378807`*^9}},
 CellLabel->
  "In[115]:=",ExpressionUUID->"22920de7-d67e-4858-8d35-cbe7c994c009"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"a", "[", "t", "]"}], " ", 
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}]}]], "Output",
 CellChangeTimes->{3.8570156412680283`*^9, 3.857015810002228*^9, 
  3.874076978290382*^9, 3.886078002733021*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"a78b7526-96bd-4274-a4b9-57c394de8bcf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857015913475876*^9, 3.85701591463754*^9}},
 CellLabel->
  "In[116]:=",ExpressionUUID->"e63eab98-4ed1-4fd6-af80-fc7ae6fab79b"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"a", "[", "t", "]"}], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}]}]], "Output",
 CellChangeTimes->{3.857015915135769*^9, 3.8740769791122303`*^9, 
  3.886078003430175*^9},
 CellLabel->
  "Out[116]=",ExpressionUUID->"32e20232-1ac7-40bf-9986-b2c52c8bb872"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570159296945763`*^9, 3.8570159330556097`*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"bc060bcf-f61d-4833-9ec9-68cfa1c50b47"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.8570159334281673`*^9, 3.874076979951373*^9, 
  3.886078004146983*^9},
 CellLabel->
  "Out[117]=",ExpressionUUID->"da19bd85-77a2-4625-b386-2ebd346515d1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570159413336687`*^9, 3.8570159428953753`*^9}},
 CellLabel->
  "In[118]:=",ExpressionUUID->"4b36c81d-b783-4bc5-a0a8-9fa3b8e749ad"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.857015943579441*^9, 3.874076980706588*^9, 
  3.8860780048996267`*^9},
 CellLabel->
  "Out[118]=",ExpressionUUID->"6188e36c-a911-424b-b26b-77ece607598e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.8570160667031593`*^9},
 CellLabel->
  "In[119]:=",ExpressionUUID->"80c6a0c8-b38f-4c99-9352-e02127d9534f"],

Cell[BoxData[
 FractionBox[
  RowBox[{"k", " ", "r"}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.857016067079076*^9, 3.874076981488962*^9, 
  3.8860780056767178`*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"f1343db3-0f8a-46aa-b81d-47765ce89ee3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570160741076603`*^9, 3.857016075204171*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"6d5ad63c-a35b-4860-aa5b-4b5b309c2feb"],

Cell[BoxData[
 RowBox[{"r", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"k", " ", 
     SuperscriptBox["r", "2"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8570160756134977`*^9, 3.874076982301037*^9, 
  3.886078006498803*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"6019e0fa-2376-41d3-91bd-36faaf14fcd8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570160819218063`*^9, 3.857016082259837*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"091d0449-1a90-4f97-b327-dc41371dce15"],

Cell[BoxData[
 RowBox[{"r", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"k", " ", 
     SuperscriptBox["r", "2"]}]}], ")"}], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.857016082726487*^9, 3.8740769832356653`*^9, 
  3.8860780071321383`*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"c30cdea9-e1d3-4f32-a2b4-bc086e5064c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570163343031473`*^9, 3.8570163346163883`*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"42915f76-a33e-43a1-90b6-e03241dda60b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{
  3.857016275264102*^9, {3.857016325044119*^9, 3.857016335306039*^9}, 
   3.874076984010675*^9, 3.8860780103549633`*^9},
 CellLabel->
  "Out[122]=",ExpressionUUID->"b8a8dfba-3e8d-4d9b-b0c8-9bc5e2d0ce02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016264093709*^9, 3.857016264380376*^9}, {
  3.857016316789315*^9, 3.8570163173339863`*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"8dc1d376-ba91-41ba-ad8c-392ba64be791"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.8570160924416122`*^9, 3.857016264760482*^9, 
  3.857016317937087*^9, 3.874076984757269*^9, 3.88607801124897*^9},
 CellLabel->
  "Out[123]=",ExpressionUUID->"18ff274e-96ca-495d-8d03-9575a11a935c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016099790586*^9, 3.8570161027707977`*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"ece28990-dc4f-48f9-ab6a-27cabbdc46d9"],

Cell[BoxData[
 FractionBox["1", "r"]], "Output",
 CellChangeTimes->{3.857016103107502*^9, 3.874076985474058*^9, 
  3.8860780119653063`*^9},
 CellLabel->
  "Out[124]=",ExpressionUUID->"a20cacd2-eea5-40f1-99c0-b50ead6e4889"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016119952347*^9, 3.857016121299955*^9}},
 CellLabel->
  "In[125]:=",ExpressionUUID->"8ea04846-930b-4eb5-943d-cf06053d19ba"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
  RowBox[{"Sin", "[", "\[Theta]", "]"}]}]], "Output",
 CellChangeTimes->{3.857016121777986*^9, 3.87407698627422*^9, 
  3.8860780127809553`*^9},
 CellLabel->
  "Out[125]=",ExpressionUUID->"7e2bdc52-61f3-4cd6-9ec7-9d3ebbed42e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016130720386*^9, 3.857016133645687*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"0283e631-c5c8-4fc6-8c32-0dfe077d16f0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.85701613399664*^9, 3.874076986897854*^9, 
  3.886078013373355*^9},
 CellLabel->
  "Out[126]=",ExpressionUUID->"865a0be9-ae0b-4f98-8b20-9eeeeed83730"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.857016143743561*^9},
 CellLabel->
  "In[127]:=",ExpressionUUID->"9f7cea4b-9003-4011-981b-aa9bf2415372"],

Cell[BoxData[
 FractionBox["1", "r"]], "Output",
 CellChangeTimes->{3.857016144935832*^9, 3.874076987558098*^9, 
  3.88607801415597*^9},
 CellLabel->
  "Out[127]=",ExpressionUUID->"40991997-ac24-4f52-b9f3-2592d1bc2a1e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.85701615229596*^9, 3.857016156355637*^9}},
 CellLabel->
  "In[128]:=",ExpressionUUID->"31567f70-be82-4546-bec1-08b427814acc"],

Cell[BoxData[
 RowBox[{"Cot", "[", "\[Theta]", "]"}]], "Output",
 CellChangeTimes->{3.857016157044818*^9, 3.874076988300609*^9, 
  3.886078014776778*^9},
 CellLabel->
  "Out[128]=",ExpressionUUID->"c6d8f320-f747-46ad-a139-de51d642b9e5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016184428988*^9, 3.8570161886278963`*^9}},
 CellLabel->
  "In[129]:=",ExpressionUUID->"30c5f0e6-5750-40ca-bdc7-5a72023f31f5"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], 
  RowBox[{"a", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.85701619022584*^9, 3.874076989008237*^9, 
  3.886078015293847*^9},
 CellLabel->
  "Out[129]=",ExpressionUUID->"c507c10c-4a57-4e76-8777-5104cb21c9b6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.857016199907078*^9},
 CellLabel->
  "In[130]:=",ExpressionUUID->"1ba4ac41-280d-49ad-a62d-bd25ec2c67c9"],

Cell[BoxData[
 FractionBox["1", "r"]], "Output",
 CellChangeTimes->{3.857016200654257*^9, 3.874076989747991*^9, 
  3.886078016022811*^9},
 CellLabel->
  "Out[130]=",ExpressionUUID->"be90582e-8425-47dc-8d5c-8c496681486f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.8570162064482*^9},
 CellLabel->
  "In[131]:=",ExpressionUUID->"17f7e1ff-01ed-4ae3-b50d-49669655f89d"],

Cell[BoxData[
 RowBox[{"Cot", "[", "\[Theta]", "]"}]], "Output",
 CellChangeTimes->{3.857016207099028*^9, 3.874076990455567*^9, 
  3.886078016703373*^9},
 CellLabel->
  "Out[131]=",ExpressionUUID->"c010e0be-f053-4e71-9a66-6268d0f541d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016451157469*^9, 3.857016491187755*^9}, {
  3.857016552247881*^9, 3.857016565261384*^9}, {3.857016626737866*^9, 
  3.8570166662589006`*^9}, {3.857017191993835*^9, 3.857017192500696*^9}, {
  3.857018261616747*^9, 3.8570182671729193`*^9}, {3.857018309824548*^9, 
  3.857018358606524*^9}, {3.8570183998178043`*^9, 3.8570184133621063`*^9}, {
  3.857018677824336*^9, 3.857018680015964*^9}, {3.8570192230194597`*^9, 
  3.8570192272460527`*^9}, {3.857019285154029*^9, 3.857019286806782*^9}, {
  3.8570193236299887`*^9, 3.857019338347208*^9}, {3.857020079840239*^9, 
  3.85702008507861*^9}},
 CellLabel->
  "In[132]:=",ExpressionUUID->"85164f41-77eb-48f3-a4c8-d73a27b16eaa"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8569473850497713`*^9, {3.8570157889538527`*^9, 3.857015810834401*^9}, {
   3.8570158509125223`*^9, 3.857015870501679*^9}, 3.857015956584732*^9, 
   3.857016368283299*^9, {3.8570164359924383`*^9, 3.857016457000065*^9}, 
   3.857016491596054*^9, {3.857016557445801*^9, 3.857016565621372*^9}, {
   3.857016628168309*^9, 3.857016666908633*^9}, 3.8570171495468397`*^9, 
   3.857017193626061*^9, 3.857017232017768*^9, {3.857018268140313*^9, 
   3.857018328286734*^9}, 3.8570183594897203`*^9, {3.857018402838777*^9, 
   3.857018414000458*^9}, 3.857018681005451*^9, {3.857019225156034*^9, 
   3.8570192278778133`*^9}, 3.8570192876095*^9, {3.857019326906638*^9, 
   3.857019338943419*^9}, 3.8570200854757643`*^9, 3.8740769912438602`*^9, 
   3.886078017370268*^9},
 CellLabel->
  "Out[132]=",ExpressionUUID->"5599ec7a-7bd5-499f-a728-35f5f1228beb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020094917348*^9, 3.857020097161498*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"dfc3bbc1-eff4-4a17-b57b-44e2a1c01a08"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020097606835*^9, 3.874076992009791*^9, 
  3.886078018097824*^9},
 CellLabel->
  "Out[133]=",ExpressionUUID->"4aa839b4-21e1-4dc3-9225-e5e3f54818c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.85702010499641*^9, 3.857020106079433*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"6d03bd3b-8c78-46e2-85db-6988c66a86bd"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8570201066240253`*^9, 3.874076992750989*^9, 
  3.886078018913666*^9},
 CellLabel->
  "Out[134]=",ExpressionUUID->"2523e2ca-2a81-4c8b-a676-e45ca4191262"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570201155602713`*^9, 3.857020118523776*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"924fcaa9-4614-465f-9d00-a842c22045ea"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"a", "[", "t", "]"}], " ", 
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.857020118981666*^9, 3.87407699352352*^9, 
  3.886078020405157*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"53da1416-812e-4075-8e20-b4f4423aa6c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020140615473*^9, 3.857020142186461*^9}},
 CellLabel->
  "In[136]:=",ExpressionUUID->"deea8483-9e31-4163-852e-204401c0f92d"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"a", "[", "t", "]"}], " ", 
  RowBox[{
   SuperscriptBox["a", "\[Prime]\[Prime]",
    MultilineFunction->None], "[", "t", "]"}]}]], "Output",
 CellChangeTimes->{3.857020142648944*^9, 3.8740769944279737`*^9, 
  3.886078021223027*^9},
 CellLabel->
  "Out[136]=",ExpressionUUID->"9f1604cd-0ed4-48eb-af2d-3555170e7dfb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "0", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "0", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020151944149*^9, 3.857020153547049*^9}},
 CellLabel->
  "In[137]:=",ExpressionUUID->"bc7e1b64-b69f-467f-9b6f-1f1657b7d94d"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"a", "[", "t", "]"}], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{
   SuperscriptBox["a", "\[Prime]\[Prime]",
    MultilineFunction->None], "[", "t", "]"}]}]], "Output",
 CellChangeTimes->{3.8570201539687557`*^9, 3.874076996390545*^9, 
  3.886078022050829*^9},
 CellLabel->
  "Out[137]=",ExpressionUUID->"ec03855d-cd50-48d8-ba7e-84886781add6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020175824766*^9, 3.857020185819633*^9}},
 CellLabel->
  "In[138]:=",ExpressionUUID->"f337c088-3a15-4ed3-915e-900aea466738"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}], 
   RowBox[{"a", "[", "t", "]"}]]}]], "Output",
 CellChangeTimes->{3.8570201865049467`*^9, 3.874076997260351*^9, 
  3.886078022899908*^9},
 CellLabel->
  "Out[138]=",ExpressionUUID->"7aad093f-0410-49d5-aaf5-63e835fed683"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570201994549303`*^9, 3.857020202066592*^9}},
 CellLabel->
  "In[139]:=",ExpressionUUID->"9a2573ca-437a-4982-8017-8c21459e9a40"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020202656266*^9, 3.874076998155301*^9, 
  3.886078023766081*^9},
 CellLabel->
  "Out[139]=",ExpressionUUID->"213622ff-0b1c-48d8-b32b-4e2ac6cb7ef1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020224277753*^9, 3.857020225631534*^9}},
 CellLabel->
  "In[140]:=",ExpressionUUID->"8a2285fc-ad29-4971-9975-97995e3c8f72"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8570202260301027`*^9, 3.8740769990222178`*^9, 
  3.886078024524289*^9},
 CellLabel->
  "Out[140]=",ExpressionUUID->"b209e9fd-31bf-41ee-ad4e-0fa360bad364"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020237085281*^9, 3.857020237462513*^9}},
 CellLabel->
  "In[141]:=",ExpressionUUID->"45d67299-d1d9-4c8c-827a-e8de1043dfa4"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020237980311*^9, 3.874076999796743*^9, 
  3.8860780252272987`*^9},
 CellLabel->
  "Out[141]=",ExpressionUUID->"3edeb6b2-26eb-4f3b-a174-ad5425bf0cef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "1", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020248093397*^9, 3.8570202505258512`*^9}},
 CellLabel->
  "In[142]:=",ExpressionUUID->"2bc823bc-226b-4b5c-9d35-ad146376071d"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.857020251075985*^9, 3.874077000593514*^9, 
  3.886078025890161*^9},
 CellLabel->
  "Out[142]=",ExpressionUUID->"3dfc2261-767a-494b-9c40-9a96154355ba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "1", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570202663328123`*^9, 3.8570202673798*^9}},
 CellLabel->
  "In[143]:=",ExpressionUUID->"ee01e154-6b16-48b1-9bf1-b64ef949d747"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.85702026790679*^9, 3.8740770014232693`*^9, 
  3.8860780266018867`*^9},
 CellLabel->
  "Out[143]=",ExpressionUUID->"9b4f9b09-a337-40ee-b224-769ae9911049"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020282463462*^9, 3.857020286798484*^9}},
 CellLabel->
  "In[144]:=",ExpressionUUID->"06ac73f2-49ad-4f92-9eb4-4f8b71de7e9d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}], 
   RowBox[{"a", "[", "t", "]"}]]}]], "Output",
 CellChangeTimes->{3.857020287437677*^9, 3.874077002465522*^9, 
  3.886078027319828*^9},
 CellLabel->
  "Out[144]=",ExpressionUUID->"c8a63103-094d-4c25-bc80-b8061d4595cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570202962721148`*^9, 3.85702030273418*^9}},
 CellLabel->
  "In[145]:=",ExpressionUUID->"8612506e-42e4-45a6-b610-9f05e2284a30"],

Cell[BoxData[
 FractionBox[
  RowBox[{"k", "+", 
   SuperscriptBox[
    RowBox[{
     SuperscriptBox["a", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "2"]}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.8570203034964952`*^9, 3.87407700336348*^9, 
  3.886078028033029*^9},
 CellLabel->
  "Out[145]=",ExpressionUUID->"9a2ad9f1-2c17-4388-90c5-db9bb900aaac"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570203131894207`*^9, 3.8570203182696123`*^9}},
 CellLabel->
  "In[146]:=",ExpressionUUID->"7944d639-2361-465f-81e5-a5f7e6d7e4ea"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8570203188263597`*^9, 3.874077004230771*^9, 
  3.886078028831874*^9},
 CellLabel->
  "Out[146]=",ExpressionUUID->"15566291-4ee4-4fe7-934c-e9c9442b807b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "1", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570203322257843`*^9, 3.857020334924471*^9}},
 CellLabel->
  "In[147]:=",ExpressionUUID->"da0cde0b-3430-49ed-86a2-8fbe091782f5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020335324265*^9, 3.8740770056703777`*^9, 
  3.886078029543373*^9},
 CellLabel->
  "Out[147]=",ExpressionUUID->"d91b1527-d432-4966-b6e4-b39871e03d9b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570203410791388`*^9, 3.857020343585902*^9}},
 CellLabel->
  "In[148]:=",ExpressionUUID->"49cb4463-f507-4b66-8400-a3ffd1f477de"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020343970354*^9, 3.8740770064859743`*^9, 
  3.8860780301902246`*^9},
 CellLabel->
  "Out[148]=",ExpressionUUID->"3ccc4193-5f7e-43ff-b617-1dfee8c2aba7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "2", ",", "3"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020349815029*^9, 3.8570203698992558`*^9}},
 CellLabel->
  "In[149]:=",ExpressionUUID->"7379c7d6-fc8a-4760-9358-694385cb3d30"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.857020370344851*^9, 3.874077007273375*^9, 
  3.886078030869231*^9},
 CellLabel->
  "Out[149]=",ExpressionUUID->"84d88045-df13-4941-ac9a-c1fa3624bdb8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8570203828354197`*^9, 3.857020387706072*^9}},
 CellLabel->
  "In[150]:=",ExpressionUUID->"ece52127-2711-44a9-90a7-54e2b4b8bd2a"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}], 
   RowBox[{"a", "[", "t", "]"}]]}]], "Output",
 CellChangeTimes->{3.857020388376554*^9, 3.8740770081964273`*^9, 
  3.8860780315218287`*^9},
 CellLabel->
  "Out[150]=",ExpressionUUID->"554ff097-9d1d-490d-9573-fed002733659"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.85702039701129*^9, 3.857020398095492*^9}},
 CellLabel->
  "In[151]:=",ExpressionUUID->"4bedb8ce-53bf-4e0f-a5b2-1843dcd6dbac"],

Cell[BoxData[
 FractionBox[
  RowBox[{"k", "+", 
   SuperscriptBox[
    RowBox[{
     SuperscriptBox["a", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "2"]}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.857020398827914*^9, 3.874077009014233*^9, 
  3.886078032200148*^9},
 CellLabel->
  "Out[151]=",ExpressionUUID->"25a54cc3-dda4-463f-ba01-7f2b9c340be2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020411515184*^9, 3.857020413607828*^9}},
 CellLabel->
  "In[152]:=",ExpressionUUID->"66ebb1f2-7378-4066-8f8f-a78f471354d8"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.857020415166098*^9, 3.874077009824808*^9, 
  3.886078032886991*^9},
 CellLabel->
  "Out[152]=",ExpressionUUID->"3d0dc8e3-0d49-4c75-b728-e3285cf74825"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020426232188*^9, 3.857020429650714*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"69bbd328-52b8-4784-ae8c-0ba948263be4"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8570204303385763`*^9, 3.8740770106314077`*^9, 
  3.8860780335984917`*^9},
 CellLabel->
  "Out[153]=",ExpressionUUID->"9c8cc485-6eb0-4e85-bf3b-e838e220a336"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "1", ",", "1"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020440363855*^9, 3.8570204420224943`*^9}, {
  3.874077011649179*^9, 3.874077012359592*^9}},
 CellLabel->
  "In[154]:=",ExpressionUUID->"063dd370-91ce-41bf-86b5-b2f9d9db8abc"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020442430273*^9, 3.874077012903647*^9, 
  3.886078034249197*^9},
 CellLabel->
  "Out[154]=",ExpressionUUID->"41b1c779-56b1-4ec6-8f53-e9609bee4e9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "3", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "2", ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.857020449936179*^9, 3.857020450764646*^9}},
 CellLabel->
  "In[155]:=",ExpressionUUID->"d4c048d7-b74f-43fb-9002-1ec44c0a2c6c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.857020451268651*^9, 3.874077013883354*^9, 
  3.8860780349311132`*^9},
 CellLabel->
  "Out[155]=",ExpressionUUID->"89c0fa82-ed54-4117-804b-865d0fd96d80"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Ricci", "[", 
   RowBox[{"0", ",", "0"}], "]"}], "]"}]], "Input",
 CellLabel->
  "In[156]:=",ExpressionUUID->"e11e38b7-8887-4bd1-baae-47f3427455ed"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"3", " ", 
    RowBox[{
     SuperscriptBox["a", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}], 
   RowBox[{"a", "[", "t", "]"}]]}]], "Output",
 CellChangeTimes->{3.856947406914256*^9, 3.857016704221641*^9, 
  3.857018331291646*^9, 3.8570186848422213`*^9, 3.8740770146385927`*^9, 
  3.886078035673077*^9},
 CellLabel->
  "Out[156]=",ExpressionUUID->"881a8f1c-8140-49d2-aafb-bb1b933dd700"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Ricci", "[", 
   RowBox[{"1", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.857016848451145*^9, 3.857016849526248*^9}},
 CellLabel->
  "In[157]:=",ExpressionUUID->"a67a71d0-788b-4fa9-b525-bbbce6ae99cc"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "k"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
   RowBox[{
    RowBox[{"a", "[", "t", "]"}], " ", 
    RowBox[{
     SuperscriptBox["a", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}]}], 
  RowBox[{"1", "-", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{{3.857016846888403*^9, 3.857016849900691*^9}, 
   3.857018334590653*^9, 3.8570186859798117`*^9, 3.874077015457752*^9, 
   3.8860780363169737`*^9},
 CellLabel->
  "Out[157]=",ExpressionUUID->"91acace3-6e26-40bb-976f-197cc7decb9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Ricci", "[", 
   RowBox[{"2", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.85701685945402*^9, 3.857016860654994*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"b8d5b265-55d5-4ca9-984e-a5ad216d2d5c"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"k", "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["a", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.857016861046289*^9, 3.8570183380452843`*^9, 
  3.857018686896649*^9, 3.874077016444906*^9, 3.886078037063589*^9},
 CellLabel->
  "Out[158]=",ExpressionUUID->"4f5749d7-4cdc-4595-b473-4730841b094e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Ricci", "[", 
   RowBox[{"3", ",", "3"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.85701687529101*^9, 3.857016877364777*^9}},
 CellLabel->
  "In[159]:=",ExpressionUUID->"0ed6f009-6216-4d7e-ad6f-977baed5af07"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["r", "2"], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"k", "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["a", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.857016877777586*^9, 3.8570186877619133`*^9, 
  3.874077017256826*^9, 3.886078037869947*^9},
 CellLabel->
  "Out[159]=",ExpressionUUID->"13507b9c-0e15-412c-abf0-b6b8bc6c88e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einstein", "[", 
  RowBox[{"0", ",", "0"}], "]"}]], "Input",
 CellLabel->
  "In[160]:=",ExpressionUUID->"befd8fcf-9551-4253-808d-374d945215ae"],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{"k", "+", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["a", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "2"]]], "Output",
 CellChangeTimes->{3.8569475105424137`*^9, 3.8570167133606787`*^9, 
  3.857018689026002*^9, 3.874077018165661*^9, 3.88607804041057*^9},
 CellLabel->
  "Out[160]=",ExpressionUUID->"fbb8691b-0261-4f73-8147-82dcbd362808"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einstein", "[", 
  RowBox[{"1", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.857018569980681*^9, 3.857018571168507*^9}},
 CellLabel->
  "In[161]:=",ExpressionUUID->"c8da6c3a-a207-428f-a1d5-7a25c52b8682"],

Cell[BoxData[
 FractionBox[
  RowBox[{"k", "+", 
   SuperscriptBox[
    RowBox[{
     SuperscriptBox["a", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
   RowBox[{"2", " ", 
    RowBox[{"a", "[", "t", "]"}], " ", 
    RowBox[{
     SuperscriptBox["a", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}]}], 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"k", " ", 
    SuperscriptBox["r", "2"]}]}]]], "Output",
 CellChangeTimes->{3.85701857158175*^9, 3.857018689926244*^9, 
  3.874077022237734*^9, 3.886078041485566*^9},
 CellLabel->
  "Out[161]=",ExpressionUUID->"39e0083c-ca6a-4500-b0d1-6ab3bbd04f40"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einstein", "[", 
  RowBox[{"2", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.857018584655657*^9, 3.857018586550419*^9}},
 CellLabel->
  "In[162]:=",ExpressionUUID->"b4faa4d4-d42d-481c-8551-00c3a156cd53"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["r", "2"]}], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
    RowBox[{"2", " ", 
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["a", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8570185869872007`*^9, 3.8570186908462267`*^9, 
  3.874077023748704*^9, 3.886078042373377*^9},
 CellLabel->
  "Out[162]=",ExpressionUUID->"afef6a5c-7291-4730-91e4-45043bd7060b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einstein", "[", 
  RowBox[{"3", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.857018595396935*^9, 3.857018595789115*^9}},
 CellLabel->
  "In[163]:=",ExpressionUUID->"434b39ee-a83c-43b3-bffa-68bb1a4ee24c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["r", "2"]}], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
    RowBox[{"2", " ", 
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["a", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.85701859626422*^9, 3.8570186917626257`*^9, 
  3.874077024783126*^9, 3.8860780436537533`*^9},
 CellLabel->
  "Out[163]=",ExpressionUUID->"996fef56-f354-490d-9767-dc6111770581"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Rscalar"], "Input",
 CellLabel->
  "In[164]:=",ExpressionUUID->"1f305275-e21d-4ad9-a24b-f15dc5638626"],

Cell[BoxData[
 FractionBox[
  RowBox[{"6", " ", 
   RowBox[{"(", 
    RowBox[{"k", "+", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["a", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
     RowBox[{
      RowBox[{"a", "[", "t", "]"}], " ", 
      RowBox[{
       SuperscriptBox["a", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "2"]]], "Output",
 CellChangeTimes->{3.85694741525998*^9, 3.856947512422195*^9, 
  3.857016719053479*^9, 3.857018605138617*^9, 3.8570186926368923`*^9, 
  3.874077025922935*^9, 3.886078045498456*^9},
 CellLabel->
  "Out[164]=",ExpressionUUID->"29419519-e481-4cbd-b360-1379b11acf4a"]
}, Open  ]]
},
WindowSize->{1440, 782},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5,
FrontEndVersion->"13.2 for Mac OS X x86 (64-bit) (November 18, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d5282d48-161d-4c79-925d-085046900e2c"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 156, 3, 46, "Input",ExpressionUUID->"3ed91c0b-24c8-4e39-94af-d42a137864b5"],
Cell[CellGroupData[{
Cell[739, 27, 136, 3, 46, "Input",ExpressionUUID->"cbc243df-c01c-48c1-b049-926a057fadb2"],
Cell[878, 32, 846, 15, 240, "Print",ExpressionUUID->"7550b2a0-babc-48ce-aba5-6cb0734e5dc8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1761, 52, 270, 5, 46, "Input",ExpressionUUID->"0a98bd11-d2c7-4b86-b680-e8600b6db0b2"],
Cell[2034, 59, 410, 7, 36, "Print",ExpressionUUID->"e41a4b47-a1eb-4cc5-aef7-b5bbe44fe653"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2481, 71, 149, 3, 46, "Input",ExpressionUUID->"250b85d7-d5d9-4878-93d5-41f81316fd77"],
Cell[2633, 76, 1459, 41, 172, "Output",ExpressionUUID->"7ed4c292-9516-44c9-8af5-9c51ca28097c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4129, 122, 340, 9, 46, "Input",ExpressionUUID->"920f5590-2f5e-4cf8-91e0-0d3ca76d86a4"],
Cell[4472, 133, 204, 4, 52, "Output",ExpressionUUID->"73d90f89-fbf1-4f0a-bb60-0ba95ae888c7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4713, 142, 336, 9, 46, "Input",ExpressionUUID->"21ab39b3-2268-4de9-bc83-56452c97ba11"],
Cell[5052, 153, 480, 13, 72, "Output",ExpressionUUID->"f04315a3-7008-4cd2-9857-2e819c0f1bac"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5569, 171, 338, 9, 46, "Input",ExpressionUUID->"22920de7-d67e-4858-8d35-cbe7c994c009"],
Cell[5910, 182, 397, 10, 52, "Output",ExpressionUUID->"a78b7526-96bd-4274-a4b9-57c394de8bcf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6344, 197, 335, 9, 46, "Input",ExpressionUUID->"e63eab98-4ed1-4fd6-af80-fc7ae6fab79b"],
Cell[6682, 208, 447, 12, 52, "Output",ExpressionUUID->"32e20232-1ac7-40bf-9986-b2c52c8bb872"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7166, 225, 340, 9, 46, "Input",ExpressionUUID->"bc060bcf-f61d-4833-9ec9-68cfa1c50b47"],
Cell[7509, 236, 339, 9, 73, "Output",ExpressionUUID->"da19bd85-77a2-4625-b386-2ebd346515d1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7885, 250, 340, 9, 46, "Input",ExpressionUUID->"4b36c81d-b783-4bc5-a0a8-9fa3b8e749ad"],
Cell[8228, 261, 339, 9, 73, "Output",ExpressionUUID->"6188e36c-a911-424b-b26b-77ece607598e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8604, 275, 314, 9, 46, "Input",ExpressionUUID->"80c6a0c8-b38f-4c99-9352-e02127d9534f"],
Cell[8921, 286, 318, 9, 72, "Output",ExpressionUUID->"f1343db3-0f8a-46aa-b81d-47765ce89ee3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9276, 300, 338, 9, 46, "Input",ExpressionUUID->"6d5ad63c-a35b-4860-aa5b-4b5b309c2feb"],
Cell[9617, 311, 343, 10, 55, "Output",ExpressionUUID->"6019e0fa-2376-41d3-91bd-36faaf14fcd8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9997, 326, 338, 9, 46, "Input",ExpressionUUID->"091d0449-1a90-4f97-b327-dc41371dce15"],
Cell[10338, 337, 417, 12, 55, "Output",ExpressionUUID->"c30cdea9-e1d3-4f32-a2b4-bc086e5064c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10792, 354, 340, 9, 46, "Input",ExpressionUUID->"42915f76-a33e-43a1-90b6-e03241dda60b"],
Cell[11135, 365, 389, 10, 73, "Output",ExpressionUUID->"b8a8dfba-3e8d-4d9b-b0c8-9bc5e2d0ce02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11561, 380, 387, 10, 46, "Input",ExpressionUUID->"8dc1d376-ba91-41ba-ad8c-392ba64be791"],
Cell[11951, 392, 382, 9, 73, "Output",ExpressionUUID->"18ff274e-96ca-495d-8d03-9575a11a935c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12370, 406, 338, 9, 46, "Input",ExpressionUUID->"ece28990-dc4f-48f9-ab6a-27cabbdc46d9"],
Cell[12711, 417, 222, 5, 69, "Output",ExpressionUUID->"a20cacd2-eea5-40f1-99c0-b50ead6e4889"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12970, 427, 336, 9, 46, "Input",ExpressionUUID->"8ea04846-930b-4eb5-943d-cf06053d19ba"],
Cell[13309, 438, 316, 8, 52, "Output",ExpressionUUID->"7e2bdc52-61f3-4cd6-9ec7-9d3ebbed42e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13662, 451, 336, 9, 46, "Input",ExpressionUUID->"0283e631-c5c8-4fc6-8c32-0dfe077d16f0"],
Cell[14001, 462, 336, 9, 73, "Output",ExpressionUUID->"865a0be9-ae0b-4f98-8b20-9eeeeed83730"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14374, 476, 312, 9, 46, "Input",ExpressionUUID->"9f7cea4b-9003-4011-981b-aa9bf2415372"],
Cell[14689, 487, 219, 5, 69, "Output",ExpressionUUID->"40991997-ac24-4f52-b9f3-2592d1bc2a1e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14945, 497, 335, 9, 46, "Input",ExpressionUUID->"31567f70-be82-4546-bec1-08b427814acc"],
Cell[15283, 508, 236, 5, 52, "Output",ExpressionUUID->"c6d8f320-f747-46ad-a139-de51d642b9e5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15556, 518, 338, 9, 46, "Input",ExpressionUUID->"30c5f0e6-5750-40ca-bdc7-5a72023f31f5"],
Cell[15897, 529, 336, 9, 73, "Output",ExpressionUUID->"c507c10c-4a57-4e76-8777-5104cb21c9b6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16270, 543, 312, 9, 46, "Input",ExpressionUUID->"1ba4ac41-280d-49ad-a62d-bd25ec2c67c9"],
Cell[16585, 554, 220, 5, 69, "Output",ExpressionUUID->"be90582e-8425-47dc-8d5c-8c496681486f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16842, 564, 310, 9, 46, "Input",ExpressionUUID->"17f7e1ff-01ed-4ae3-b50d-49669655f89d"],
Cell[17155, 575, 236, 5, 52, "Output",ExpressionUUID->"c010e0be-f053-4e71-9a66-6268d0f541d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17428, 585, 885, 17, 46, "Input",ExpressionUUID->"85164f41-77eb-48f3-a4c8-d73a27b16eaa"],
Cell[18316, 604, 890, 14, 52, "Output",ExpressionUUID->"5599ec7a-7bd5-499f-a728-35f5f1228beb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19243, 623, 342, 9, 46, "Input",ExpressionUUID->"dfc3bbc1-eff4-4a17-b57b-44e2a1c01a08"],
Cell[19588, 634, 200, 4, 52, "Output",ExpressionUUID->"4aa839b4-21e1-4dc3-9225-e5e3f54818c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19825, 643, 341, 9, 46, "Input",ExpressionUUID->"6d03bd3b-8c78-46e2-85db-6988c66a86bd"],
Cell[20169, 654, 202, 4, 52, "Output",ExpressionUUID->"2523e2ca-2a81-4c8b-a676-e45ca4191262"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20408, 663, 344, 9, 46, "Input",ExpressionUUID->"924fcaa9-4614-465f-9d00-a842c22045ea"],
Cell[20755, 674, 444, 13, 72, "Output",ExpressionUUID->"53da1416-812e-4075-8e20-b4f4423aa6c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21236, 692, 342, 9, 46, "Input",ExpressionUUID->"deea8483-9e31-4163-852e-204401c0f92d"],
Cell[21581, 703, 383, 10, 52, "Output",ExpressionUUID->"9f1604cd-0ed4-48eb-af2d-3555170e7dfb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22001, 718, 342, 9, 46, "Input",ExpressionUUID->"bc7e1b64-b69f-467f-9b6f-1f1657b7d94d"],
Cell[22346, 729, 455, 12, 52, "Output",ExpressionUUID->"ec03855d-cd50-48d8-ba7e-84886781add6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22838, 746, 342, 9, 46, "Input",ExpressionUUID->"f337c088-3a15-4ed3-915e-900aea466738"],
Cell[23183, 757, 369, 10, 73, "Output",ExpressionUUID->"7aad093f-0410-49d5-aaf5-63e835fed683"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23589, 772, 344, 9, 46, "Input",ExpressionUUID->"9a2573ca-437a-4982-8017-8c21459e9a40"],
Cell[23936, 783, 200, 4, 52, "Output",ExpressionUUID->"213622ff-0b1c-48d8-b32b-4e2ac6cb7ef1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24173, 792, 342, 9, 46, "Input",ExpressionUUID->"8a2285fc-ad29-4971-9975-97995e3c8f72"],
Cell[24518, 803, 204, 4, 52, "Output",ExpressionUUID->"b209e9fd-31bf-41ee-ad4e-0fa360bad364"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24759, 812, 342, 9, 46, "Input",ExpressionUUID->"45d67299-d1d9-4c8c-827a-e8de1043dfa4"],
Cell[25104, 823, 202, 4, 52, "Output",ExpressionUUID->"3edeb6b2-26eb-4f3b-a174-ad5425bf0cef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25343, 832, 344, 9, 46, "Input",ExpressionUUID->"2bc823bc-226b-4b5c-9d35-ad146376071d"],
Cell[25690, 843, 417, 12, 55, "Output",ExpressionUUID->"3dfc2261-767a-494b-9c40-9a96154355ba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26144, 860, 342, 9, 46, "Input",ExpressionUUID->"ee01e154-6b16-48b1-9bf1-b64ef949d747"],
Cell[26489, 871, 492, 14, 55, "Output",ExpressionUUID->"9b4f9b09-a337-40ee-b224-769ae9911049"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27018, 890, 342, 9, 46, "Input",ExpressionUUID->"06ac73f2-49ad-4f92-9eb4-4f8b71de7e9d"],
Cell[27363, 901, 367, 10, 73, "Output",ExpressionUUID->"c8a63103-094d-4c25-bc80-b8061d4595cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27767, 916, 343, 9, 46, "Input",ExpressionUUID->"8612506e-42e4-45a6-b610-9f05e2284a30"],
Cell[28113, 927, 437, 13, 75, "Output",ExpressionUUID->"9a2ad9f1-2c17-4388-90c5-db9bb900aaac"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28587, 945, 346, 9, 46, "Input",ExpressionUUID->"7944d639-2361-465f-81e5-a5f7e6d7e4ea"],
Cell[28936, 956, 202, 4, 52, "Output",ExpressionUUID->"15566291-4ee4-4fe7-934c-e9c9442b807b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29175, 965, 344, 9, 46, "Input",ExpressionUUID->"da0cde0b-3430-49ed-86a2-8fbe091782f5"],
Cell[29522, 976, 202, 4, 52, "Output",ExpressionUUID->"d91b1527-d432-4966-b6e4-b39871e03d9b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29761, 985, 344, 9, 46, "Input",ExpressionUUID->"49cb4463-f507-4b66-8400-a3ffd1f477de"],
Cell[30108, 996, 204, 4, 52, "Output",ExpressionUUID->"3ccc4193-5f7e-43ff-b617-1dfee8c2aba7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30349, 1005, 344, 9, 46, "Input",ExpressionUUID->"7379c7d6-fc8a-4760-9358-694385cb3d30"],
Cell[30696, 1016, 489, 14, 55, "Output",ExpressionUUID->"84d88045-df13-4941-ac9a-c1fa3624bdb8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31222, 1035, 344, 9, 46, "Input",ExpressionUUID->"ece52127-2711-44a9-90a7-54e2b4b8bd2a"],
Cell[31569, 1046, 371, 10, 73, "Output",ExpressionUUID->"554ff097-9d1d-490d-9573-fed002733659"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31977, 1061, 341, 9, 46, "Input",ExpressionUUID->"4bedb8ce-53bf-4e0f-a5b2-1843dcd6dbac"],
Cell[32321, 1072, 436, 13, 75, "Output",ExpressionUUID->"25a54cc3-dda4-463f-ba01-7f2b9c340be2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32794, 1090, 342, 9, 46, "Input",ExpressionUUID->"66ebb1f2-7378-4066-8f8f-a78f471354d8"],
Cell[33139, 1101, 417, 12, 55, "Output",ExpressionUUID->"3d0dc8e3-0d49-4c75-b728-e3285cf74825"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33593, 1118, 342, 9, 46, "Input",ExpressionUUID->"69bbd328-52b8-4784-ae8c-0ba948263be4"],
Cell[33938, 1129, 206, 4, 52, "Output",ExpressionUUID->"9c8cc485-6eb0-4e85-bf3b-e838e220a336"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34181, 1138, 393, 10, 46, "Input",ExpressionUUID->"063dd370-91ce-41bf-86b5-b2f9d9db8abc"],
Cell[34577, 1150, 200, 4, 52, "Output",ExpressionUUID->"41b1c779-56b1-4ec6-8f53-e9609bee4e9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34814, 1159, 342, 9, 46, "Input",ExpressionUUID->"d4c048d7-b74f-43fb-9002-1ec44c0a2c6c"],
Cell[35159, 1170, 202, 4, 52, "Output",ExpressionUUID->"89c0fa82-ed54-4117-804b-865d0fd96d80"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35398, 1179, 200, 5, 46, "Input",ExpressionUUID->"e11e38b7-8887-4bd1-baae-47f3427455ed"],
Cell[35601, 1186, 467, 12, 73, "Output",ExpressionUUID->"881a8f1c-8140-49d2-aafb-bb1b933dd700"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36105, 1203, 266, 6, 46, "Input",ExpressionUUID->"a67a71d0-788b-4fa9-b525-bbbce6ae99cc"],
Cell[36374, 1211, 732, 21, 75, "Output",ExpressionUUID->"91acace3-6e26-40bb-976f-197cc7decb9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37143, 1237, 265, 6, 46, "Input",ExpressionUUID->"b8d5b265-55d5-4ca9-984e-a5ad216d2d5c"],
Cell[37411, 1245, 715, 20, 55, "Output",ExpressionUUID->"4f5749d7-4cdc-4595-b473-4730841b094e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38163, 1270, 265, 6, 46, "Input",ExpressionUUID->"0ed6f009-6216-4d7e-ad6f-977baed5af07"],
Cell[38431, 1278, 765, 22, 55, "Output",ExpressionUUID->"13507b9c-0e15-412c-abf0-b6b8bc6c88e1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39233, 1305, 167, 4, 46, "Input",ExpressionUUID->"befd8fcf-9551-4253-808d-374d945215ae"],
Cell[39403, 1311, 520, 14, 82, "Output",ExpressionUUID->"fbb8691b-0261-4f73-8147-82dcbd362808"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39960, 1330, 233, 5, 46, "Input",ExpressionUUID->"c8da6c3a-a207-428f-a1d5-7a25c52b8682"],
Cell[40196, 1337, 653, 19, 75, "Output",ExpressionUUID->"39e0083c-ca6a-4500-b0d1-6ab3bbd04f40"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40886, 1361, 233, 5, 46, "Input",ExpressionUUID->"b4faa4d4-d42d-481c-8551-00c3a156cd53"],
Cell[41122, 1368, 644, 18, 55, "Output",ExpressionUUID->"afef6a5c-7291-4730-91e4-45043bd7060b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41803, 1391, 233, 5, 46, "Input",ExpressionUUID->"434b39ee-a83c-43b3-bffa-68bb1a4ee24c"],
Cell[42039, 1398, 715, 20, 55, "Output",ExpressionUUID->"996fef56-f354-490d-9767-dc6111770581"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42791, 1423, 116, 2, 46, "Input",ExpressionUUID->"1f305275-e21d-4ad9-a24b-f15dc5638626"],
Cell[42910, 1427, 742, 20, 124, "Output",ExpressionUUID->"29419519-e481-4cbd-b360-1379b11acf4a"]
}, Open  ]]
}
]
*)

